diff hooks/pre-up @ 0:36a9b3a28861

Add all dotfiles
author zegervdv <zegervdv@me.com>
date Sun, 23 Feb 2014 17:20:32 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/hooks/pre-up	Sun Feb 23 17:20:32 2014 +0100
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+if [ ! -e $HOME/.oh-my-zsh ]; then
+  echo "\033[0;34mCloning Oh My Zsh...\033[0m"
+  hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh || {
+  echo "git not installed"
+  exit
+  }
+
+  echo "\033[0;34mLooking for an existing zsh config...\033[0m"
+  if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]
+  then
+    echo "\033[0;33mFound ~/.zshrc.\033[0m \033[0;32mBacking up to ~/.zshrc.pre-oh-my-zsh\033[0m";
+    mv ~/.zshrc ~/.zshrc.pre-oh-my-zsh;
+  fi
+
+  echo "\033[0;34mUsing the Oh My Zsh template file and adding it to ~/.zshrc\033[0m"
+  cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc
+
+  echo "\033[0;34mCopying your current PATH and adding it to the end of ~/.zshrc for you.\033[0m"
+  echo "export PATH=\$PATH:$PATH" >> ~/.zshrc
+
+  echo "\033[0;34mTime to change your default shell to zsh!\033[0m"
+  chsh -s `which zsh`
+
+  echo "\033[0;32m"'         __                                     __   '"\033[0m"
+  echo "\033[0;32m"'  ____  / /_     ____ ___  __  __   ____  _____/ /_  '"\033[0m"
+  echo "\033[0;32m"' / __ \/ __ \   / __ `__ \/ / / /  /_  / / ___/ __ \ '"\033[0m"
+  echo "\033[0;32m"'/ /_/ / / / /  / / / / / / /_/ /    / /_(__  ) / / / '"\033[0m"
+  echo "\033[0;32m"'\____/_/ /_/  /_/ /_/ /_/\__, /    /___/____/_/ /_/  '"\033[0m"
+  echo "\033[0;32m"'                        /____/                       '"\033[0m"
+
+  echo "\n\n \033[0;32m....is now installed.\033[0m"
+  /usr/bin/env zsh
+  source ~/.zshrc
+  sudo chsh -s `which zsh` `whoami`
+    
+fi